\version "2.20.0"
\language "english"
\pointAndClickOff
\include "./local_includes/00_beaming_library.ly"
\include "./local_includes/header_paper_blocks.ly"
\paper { first-page-number = 6 }

\header {
  title = \markup {  \pad-to-box #'(0 . 0) #'(-11.9 . 11) \override #'(font-name . "AppleMyungjo") 
                     \fontsize #5 "III. Ticklin’ Toes"                  
  }
}

secondTimeClef = -\markup { {\musicglyph "clefs.G_change" 
  
  \postscript "
  matrix currentmatrix 
  -1.2 0 translate
  1 3 scale
  newpath

  -0.3 0.2 1.5 140 215 arc
  
  2.25 0 rmoveto
  -0.6 0.2 1.5 325 40 arc

  setmatrix
  0 setlinejoin
  0.2 setlinewidth
  stroke
"
}
  \hspace #-4.5 \raise #6.5 \pad-markup #-1
  \override #'(baseline-skip . 2) \smaller 
  \column {
            \left-align \italic (2nd
            \left-align \italic time)
  } 
  }
  
slurAdjustBarsiAndii = \shape #'((0 . -0.5) (-0.2 . -0.2) (0.3 . 0.2) (0 . 0)) Slur
slurAdjustBariii = \shape #'((0 . -1) (-0.2 . -0.2) (0.3 . 0.2) (0 . 0)) Slur
slurAdjustBarviAndvii = \shape #'((0 . 0) (0 . 0.5) (0 . 0.5) (0 . 0)) Slur
slurAdjustBarix = \shape #'((0 . 0.5) (0 . 0.2) (0 . 0.2) (0 . 0)) Slur
slurAdjustBarxxi = \shape #'((0 . -0.9) (0 . -0.3) (0 . -0.3) (0 . 0)) PhrasingSlur

graceSlurFixAtxvii = \shape #'((0 . 0.5) (0 . 0.2) (0 . 0.2) (0 . 0)) Slur
graceSlurFix = \shape #'((0 . 0.2) (0 . -0.1) (0 . -0.1) (0 . 0)) Slur
distanceBetweenBeams = \override Beam.length-fraction = #1.2


basicSpaceBetween = \override VerticalAxisGroup.staff-staff-spacing = #'((basic-distance . 12))

csr = \change Staff = "rightII"
csl = \change Staff = "leftII"

myGlobal = {
  \key c \major
  \numericTimeSignature
  \time 4/8
  }
globalIII = {
  \myGlobal
  \tempo "Allegro molto" 4=138
}

right = \relative c'' {
  \globalIII
  \distanceBetweenBeams
  \bIIc 
  \slurAdjustBarsiAndii
  e16^2( g8^.\parenthesize^4) e16 \bIIsh a( g e d) |
  \bIIIc \slurAdjustBarsiAndii c16^2( e8^.^4) c16 e4 |
  \bIIIc \slurAdjustBariii c16( d8^.) c16^4 \bIVsh d( c a g) |
  \aIVc a16( c8_.) a16 \bIIIh c( a b8) |
  g4 r16 \bIIIhs a^1( c e) |\break
  
  % \overrideProperty Score.NonMusicalPaperColumn.line-break-system-details
%             #'((alignment-distances . 14)(Y-offset . 43.5))
  \bIIc d8^. d^.^3 \bIIc \slurAdjustBarviAndvii e16( g8^> e16) |
  \bIIc d8^. d^. \bIIc \slurAdjustBarviAndvii e16( g8^> e16) |
  c2 |
  \aIIc \slurAdjustBarix e,16\parenthesize^2( g8_._>) e16 \aIIsh a( g e d) |
  \aIc c16^2( e8_._>^4) c16 e4 |
  \aIc c16( d8_._>) c16^4 \aIsh d( c a g) |
  
 %  \overrideProperty Score.NonMusicalPaperColumn.line-break-system-details
%             #'((alignment-distances . (14.5))(Y-offset . 71.5))
  \oc a16( c8_._>) a16 \ocs c8( d) |
  \aIc c16( d8_._>) c16 \aIch d( c a g) |
  r8 \aIIhs <b d>^1^2[( <c e>_>^1^3 g'^5]) |
  \aIc c,16^3( d8_._>) c16^4 \aIch d^5( c a g) |
  r8 
  <f a>8*1/2^2^4( s <e c'>4*1/2_.) s | 
  \once \override Score.RehearsalMark.break-visibility = #end-of-line-visible
  \once \override Score.RehearsalMark.self-alignment-X = #RIGHT
  \mark \markup { \musicglyph "scripts.coda" }
   \bar "||" \break
  
  % \overrideProperty Score.NonMusicalPaperColumn.line-break-system-details
%             #'((alignment-distances . (14.5))(Y-offset . 103))
  c''4^4 \graceSlurFixAtxvii \slashedGrace  a8( g4) |
  \slashedGrace a8( \bIIIc c^.)( c^.^1) \grace { \graceSlurFix d16( e) } g4 |
  c,4^4 \graceSlurFixAtxvii \slashedGrace a8( g4) |
  \slashedGrace a8( \bIIhc c)( d c4) |
  
  % \overrideProperty Score.NonMusicalPaperColumn.line-break-system-details
%             #'((Y-offset . 133.5))
  \slurAdjustBarxxi c^4\( \graceSlurFixAtxvii \slashedGrace a8( g4)\) |
   
  \once \phrasingSlurDashed
  \slashedGrace a8( \bIIIc c^.)\( c^.\) 
  \grace { \graceSlurFix d16( e) } 
  g4 |\break \pageBreak
  \slurAdjustBarxxi c,\( \slashedGrace a8( g4)\) |\noBreak
  \slashedGrace a8( \bIIhc c)( d c4) |\noBreak
  
  % \overrideProperty Score.NonMusicalPaperColumn.line-break-system-details
%             #'((Y-offset . 10.5))
  r8 \aIch <c, e>16^2^4( a^1) r8 <a c e> |\noBreak
  \repeat unfold 2 { r \aIch <c e>16( a) r8 <a c e> \noBreak } |
  r \osc <f b d>^1^3^5[( <e c'>_>^1^4])  r |\break
  
   \overrideProperty Score.NonMusicalPaperColumn.line-break-system-details
             #'((Y-offset . 33.5))
  <<
  { g'2^>^5 |\noBreak a^>^5 | }
  \\
  { \distanceBetweenBeams \repeat unfold 2 { c,8\rest \bVIIsc <c e>16_( a) c8\rest <a c e> } }
  >> \noBreak
  r8 \aIch <c e>16_( a) r8 <a c e> |\noBreak
  r \osc <f b d>_>[ <e c'>_>] r |\bar "||" \break
  
  \overrideProperty Score.NonMusicalPaperColumn.line-break-system-details
            #'((alignment-distances . (13.7))(Y-offset . 65.7))
  r16 \aIIIsc a'8^2( g16_.) \bIIIhc a8^. c^. |\noBreak
  \bIIIhs 
  \shape #'((0 . 0) (0 . 1) (0 . 0.5) (0 . 0)) Slur
  a^1( e'16 d \bIIIsh e d c a) |\noBreak
  r16 \aIIIsc a8^2( g16_.) \bIIIhc a8^. c^. |\noBreak
  a2 |\break
  
  \overrideProperty Score.NonMusicalPaperColumn.line-break-system-details
            #'((alignment-distances . (13.5))(Y-offset . 95.7))
  r16 \aIIIsc a8( g16_.) \bIIIhc a8^. c^. |\noBreak
  \bIIIhs 
  \shape #'((0 . 0) (0 . 1) (0 . 0.5) (0 . 0)) Slur
  a^1( e'16 d \bIIIsh e d c a) |\noBreak
  r16 \aIIIsc a8( g16_.) \bIIIhc a8^. c^. |\noBreak
  \bIIIhs 
  \shape #'((0 . 0) (0 . 0.8) (-1.5 . 0.5) (0 . 0)) Slur
  a^1( e' \bIIIc d16 c d8) | \bar "||" \noPageBreak
  \once \override Score.RehearsalMark.break-visibility = #end-of-line-visible
  \once \override Score.RehearsalMark.self-alignment-X = #RIGHT
  \once \override Score.RehearsalMark.padding = #'2
  \mark \markup { "D.C. al " \raise #1 \musicglyph "scripts.coda" } 
  \break
}

left = \relative c' {
  \globalIII
  \distanceBetweenBeams
  \ocs c8^4 <e g> \ohc b^5 <e g> |
  \bIcs a,^4 <c e> \bIhc g^5 <c e> |
  \bIIcs fs, <c' d> \bIIhc f, <b d> |
  \bIIIcs e, <g c> \bIIIhc ef <fs c'> |
  \bIIIcs d <g b> \bIIIhc c, <f! a> |
  \stemDown 
  \repeat unfold 2 { \bIVcs b, <f' g>  \bIVhs g, <f' g> } |
  \stemNeutral 
  r \bIsh <c' e>_1_2[( a^._4 g^.)] |
  \bIIIcs c, g' \bIIIhs b, g' |
  \aIIIcs a, e' \aIIIhs g, e' |
  \aIIcs f, c' \aIIhs e, c' |
  \aIIcs f, c' \aIIhs e, c' |
  \aIIcs f, c' \aIIhs e, c' |
  r \aIIIcs <g d'>_2_5[( <c e>_1_3]) r |
  \aIIcs f, c' \aIIhs e, c' |
  r <g b>(  
  \override TextScript.extra-offset = #'(4.5 . 13)
  <c, c'>4_.)\secondTimeClef |
  
  \repeat unfold 3 { r8 <c'' e g> r <g c e> } |
  r \ohc <b f'>[( <c e>)] <c, g'>^. |
  
  \repeat unfold 3 { r8 <c' e g> r <g c e> } |
  r \ohc <b f'>[( <c e>)] g^. |
  
  \repeat unfold 3 { <c, g'> r <g g'> r } |
  r \aIsc <g, g'>[( c_>]) r |
  
  \repeat unfold 3 { <c' g'> r <g g'> r } |
  r \aIch <g, g'>_>[ c_>] r |
  \bIcs a'' <c e> \bIhc g q |
  \bIIcs fs q r q |
  \bIcs a q \bIhc g q |
  \bIIcs fs <c' e> \bIIIcs d, q |
  
  \bIcs a' <c e> \bIhc g q |
  \bIIcs fs q r q |
  \bIcs a q \bIhc g q |
  <fs c' e>4 <g b f'!> |
  
}

dynamicsFirst = { 
  %\override DynamicLineSpanner.staff-padding = #5
  
  s2 * 7\mf |
  s8 s\> s s\! |
  \once \override DynamicText.X-offset = 0
  s2 * 5\mf |
  s8 s\< s s |
  \once \override DynamicText.X-offset = 0
  s2 * 2\mp |
  \once \override DynamicText.Y-offset = 1
  s2 * 4\p |
  \once \override DynamicText.Y-offset = 1
  s2 * 4\f |
  s2 * 4\p |
  s2 * 4\mf |
  s2 * 2\mp |
  s2 * 2\p |
  s2 * 2\f |
  s2 * 2\mf |
  
  
}

\score {
  \new PianoStaff \with {
    instrumentName = ""
  } <<
    \new Staff = "right" \with {
      midiInstrument = "acoustic grand"
      \basicSpaceBetween 
    } \right
    \new Dynamics = "Dynamics_pf" \dynamicsFirst
    \new Staff = "left" \with {
      midiInstrument = "acoustic grand"
    } { \clef bass \left }
  >>
  \layout {  }
}

rightII =  {
  \myGlobal
  <<
    \relative c'' {
      s2 |
      b8\rest s s s |
      b8\rest \clef bass s s s |
      d,,8\rest s s s |
      \override MultiMeasureRest.staff-position = 0
      R1 * 2/4 |
      R1 * 2/4 \clef treble |\noBreak
      <c'_~ e~ g~ c~>2 |\noBreak
      q\fermata |\bar "|."
    }
    \\
    \relative c''' {
      
       \overrideProperty Score.NonMusicalPaperColumn.line-break-system-details
                    #'((alignment-distances . (13.5))(Y-offset . 127.8))
      \mark \markup { 
      \hspace #-10 \lower #3 \override #'(baseline-skip . 5) 
      \column {
            \line {  \center-align  \musicglyph "scripts.coda" }
            \line {  \center-align "CODA" }
      }}
    \bIsc c8^.^\markup { \pad-markup #1 \italic "accel. al fine" } 
    \shape #'((0 . 0) (3 . 0.5) (1 . 0) (0 . -9)) Slur
    a16^3^( g 
    \bVsh a g \csl \stemUp e_1 d |\noBreak
    \once \stemDown c8^.) \csr \aIIIch 
    \shape #'((0 . 0) (2 . 0.5) (1 . 0) (-0.5 . -12)) Slur
    a16^3[^( g] 
    \stemDown \bVIIsh a g \csl \stemUp  e_1 d |\noBreak
    c8_.) \csr \stemDown \bIIsc 
    \shape #'((0 . 0) (3.5 . 0.5) (1 . 0) (-0.5 . -9)) Slur
    a16^3 [^( g]  
    \beamPos #'(-7.7 . -8.3) a g \csl \stemUp e_1 d |\noBreak
    c8_.) \csr \aIIch 
    %\shape #'((0 . 0) (3 . 0.5) (1 . 0) (-0.5 . -11)) Slur
    \shape #'((0 . 0) (2 . 0.5) (-1 . 0) (-0.5 . -11)) Slur
    a16^3[^( g] 
    \stemDown \beamPos #'(-9.2 . -9.8) a g \csl \stemUp e_1 d |\noBreak
    c8_.) g_. c_. g_. |\noBreak
    }
  >>
}

leftII =  \relative c'' {
  \myGlobal
  
  <c e>8^. s s s |
  s2 | 
  \once \hideNotes r8 \clef bass s s s |
  s2 |
  s2 |
  \unHideNotes
  c,,,4\sustainOn c |
  <g' c e>2~ |
  q2 * 1/2\fermata s\sustainOff |
}

dynamicsSecond = { 
  s2 * 6\f |
  \once \override TextScript.Y-offset = -1
  s2 * 2-\markup { \dynamic ffz }
}

\score {
  \new PianoStaff \with {
    instrumentName = ""
  } <<
    \new Staff = "rightII" \with {
      midiInstrument = "acoustic grand"
      \basicSpaceBetween 
    } \rightII
    \new Dynamics = "Dynamics_pfII" \dynamicsSecond
    \new Staff = "leftII" \with {
      midiInstrument = "acoustic grand"
    } { \clef treble \leftII }
  >>
  \layout {
  \context {
      \Score
  }
}
}